Skip to main content
GET
/
markets
List markets
curl --request GET \
  --url https://api.context.markets/v2/markets
{
  "markets": [
    {
      "id": "0x1111111111111111111111111111111111111111111111111111111111111111",
      "oracle": "0x1111111111111111111111111111111111111111",
      "question": "<string>",
      "shortQuestion": "<string>",
      "outcomeTokens": [
        "0x1111111111111111111111111111111111111111"
      ],
      "outcomePrices": [
        {
          "outcomeIndex": 123,
          "bestBid": 123,
          "bestAsk": 123,
          "spread": 123,
          "midPrice": 123,
          "lastPrice": 123,
          "sellPrice": 123,
          "buyPrice": 123
        }
      ],
      "creator": "0x1111111111111111111111111111111111111111",
      "creatorProfile": {
        "username": "<string>",
        "avatarUrl": "<string>"
      },
      "blockTime": "1000000",
      "chainId": "1000000",
      "txHash": "0x1111111111111111111111111111111111111111111111111111111111111111",
      "volume": "1000000",
      "volume24h": "1000000",
      "participantCount": 123,
      "executableAt": "<string>",
      "proposedAt": "<string>",
      "resolvedAt": "<string>",
      "payoutPcts": [
        123
      ],
      "resolutionStatus": "none",
      "metadata": {
        "mediaHash": "0x1111111111111111111111111111111111111111111111111111111111111111",
        "startTime": 123,
        "endTime": 123,
        "criteria": "<string>",
        "slug": "<string>",
        "sourceAccounts": [
          {
            "platform": "<string>",
            "userId": "<string>",
            "username": "<string>",
            "displayName": "<string>",
            "profileImageUrl": "<string>"
          }
        ],
        "shortSummary": "<string>",
        "categories": [
          "<string>"
        ]
      },
      "resolutionCriteria": "<string>",
      "deadline": "2023-11-07T05:31:56Z",
      "status": "active",
      "createdAt": "2023-11-07T05:31:56Z",
      "outcome": 123,
      "contractAddress": "0x1111111111111111111111111111111111111111",
      "questionSubmissionId": "<string>"
    }
  ],
  "cursor": "<string>"
}

Query Parameters

sortBy

Sort order. Defaults to "new". Options: trending, new, ending, chance, volume

Available options:
trending,
new,
ending,
chance
sort
enum<string>
default:desc
Available options:
asc,
desc
limit
integer
default:50
Required range: 1 <= x <= 50
cursor
string

Opaque pagination cursor

Example:

"eyJ0aW1lc3RhbXAiOiIyMDI2LTAzLTAzVDAwOjAwOjAwLjAwMFoiLCJpZCI6MTIzfQ=="

status
string

Comma-separated status values: active, pending, resolved, closed

Example:

"active,pending"

resolutionStatus
string

Comma-separated resolution status values: none, pending, resolved

Example:

"none,pending"

creator
string

EVM address

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x1111111111111111111111111111111111111111"

category
string

Filter by category

visibility
enum<string>

Filter by visibility

Available options:
all,
hidden,
visible
createdAfter
number | null

Filter markets created after this unix timestamp

Response

Markets list

markets
object[]
required
cursor
string | null
required